"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const archiver_1 = require("archiver");
const stream_1 = require("stream");
const util_1 = require("util");
function createMockZip(entries) {
    return __awaiter(this, void 0, void 0, function* () {
        const archive = archiver_1.create('zip');
        for (const entry of entries) {
            archive.append('', { name: entry });
        }
        yield archive.finalize();
        const bufferWritable = new stream_1.Writable();
        const buffers = [];
        bufferWritable._write = (chunk, encoding, cb) => {
            buffers.push(chunk);
            cb();
        };
        yield util_1.promisify(stream_1.pipeline)(archive, bufferWritable);
        return Buffer.concat(buffers);
    });
}
exports.createMockZip = createMockZip;
//# sourceMappingURL=index.js.map