export declare const mockRegistry: {
    types: {
        kathybates: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
        };
        keanureeves: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
        };
        tinafey: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
        };
        dwaynejohnson: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
        };
        tarajihenson: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
        };
        simonpegg: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
        };
        tinafeyfolder: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
        };
        genewilder: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
        };
        reginaking: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
            children: {
                types: {
                    x: {
                        id: string;
                        directoryName: string;
                        name: string;
                        suffix: string;
                    };
                    y: {
                        id: string;
                        directoryName: string;
                        name: string;
                        suffix: string;
                    };
                };
                suffixes: {
                    x: string;
                    y: string;
                };
                directories: {
                    xs: string;
                    ys: string;
                };
            };
        };
        seanconnerys: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
        };
        seanfolder: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
        };
        mixedcontentsinglefile: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
        };
        decomposedtoplevel: {
            id: string;
            directoryName: string;
            inFolder: boolean;
            name: string;
            suffix: string;
            children: {
                types: {
                    g: {
                        id: string;
                        directoryName: string;
                        name: string;
                        suffix: string;
                    };
                };
                suffixes: {
                    g: string;
                };
                directories: {
                    gs: string;
                };
            };
        };
    };
    suffixes: {
        kathy: string;
        keanu: string;
        missing: string;
        tinafeyFolder: string;
        genewilder: string;
        reginaking: string;
        sean: string;
        mixedSingleFile: string;
        dtl: string;
    };
    strictTypeFolder: {
        dwaynes: string;
        tarajis: string;
        simons: string;
        tinas: string;
        reginas: string;
        mixedSingleFiles: string;
        decomposedTopLevels: string;
    };
    strategies: {
        keanureeves: {
            adapter: string;
            transformer: string;
        };
        tinafey: {
            adapter: string;
        };
        tarajihenson: {
            adapter: string;
        };
        dwaynejohnson: {
            adapter: string;
        };
        simonpegg: {
            adapter: string;
            transformer: string;
        };
        reginaking: {
            adapter: string;
            transformer: string;
            decomposition: string;
        };
        genewilder: {
            adapter: string;
            transformer: string;
        };
        mixedcontentsinglefile: {
            adapter: string;
            transformer: string;
        };
        decomposedtoplevel: {
            adapter: string;
            transformer: string;
            decomposition: string;
        };
    };
    apiVersion: string;
};
import * as keanu from './keanuConstants';
import * as kathy from './kathyConstants';
import * as simon from './simonConstants';
import * as taraji from './tarajiConstants';
import * as tina from './tinaConstants';
import * as gene from './geneConstants';
import * as regina from './reginaConstants';
import * as sean from './seanConstants';
import * as decomposedtoplevel from './decomposedTopLevelConstants';
export { kathy, keanu, simon, taraji, tina, gene, regina, sean, decomposedtoplevel };
export declare const DWAYNE_DIR: string;
export declare const DWAYNE_XML_NAME = "a.dwayne-meta.xml";
export declare const DWAYNE_XML: string;
export declare const DWAYNE_SOURCE_NAME = "a.xyz";
export declare const DWAYNE_SOURCE: string;
